#pragma once

#include <nana/gui.hpp>
#include <nana/gui/widgets/button.hpp>
#include <nana/gui/widgets/label.hpp>
#include <nana/gui/widgets/textbox.hpp>

namespace mc {
class VersionWindow : public nana::form {
public:
	VersionWindow(nana::window owner);
	~VersionWindow() noexcept = default;

private:
	nana::label m_top_label;
	nana::label m_short_desc;
	nana::label m_git_revision;
	nana::label m_repo_link_1;
	nana::label m_repo_link_2;
	nana::textbox m_main_text;
	nana::button m_close;
};
} //namespace mc
