/* Copyright 2020, Michele Santullo
 * This file is part of memoserv.
 *
 * Memoserv is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Memoserv is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Memoserv.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "animation_with_size.hpp"

namespace mc::psx {
template <bool> class BasicBlock;
using ConstBlock = BasicBlock<true>;
} //namespace mc::psx

namespace duck {
	AnimationWithSize make_nana_animation (const mc::psx::ConstBlock& block, int width, int height, int fps);
} //namespace duck
