/* Copyright 2020, Michele Santullo
 * This file is part of memoserv.
 *
 * Memoserv is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Memoserv is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Memoserv.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "memcard/part_iterator.hpp"
#include "memcard/frame.hpp"

namespace mc::psx {
template <bool Const>
class BasicBlock;

template <bool Const, bool ConstProvider>
using FrameIterator = PartIterator<Const, BasicBlock<ConstProvider>, BasicFrame>;
} //namespace mc::psx
